"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var jsx_runtime_1 = require("react/jsx-runtime");
var ComponentsViewer_slice_1 = require("../../pages/ComponentsViewer/ComponentsViewer.slice");
var hooks_1 = require("../../hooks");
var __1 = require("..");
var adapters_1 = tslib_1.__importDefault(require("../../utils/adapters"));
var components_1 = tslib_1.__importDefault(require("../../config/components"));
require("./ComponentList.component.scss");
var ComponentList = function (props) {
    var dispatch = (0, hooks_1.useAppDispatch)();
    var formattedTreeData = adapters_1.default.adaptToTree(components_1.default);
    var handleComponentSelect = function (data) {
        dispatch((0, ComponentsViewer_slice_1.selectTreeItem)(data));
    };
    return ((0, jsx_runtime_1.jsx)("div", { className: "c-ComponentList h-100 w-100 overflow-auto", children: (0, jsx_runtime_1.jsx)(__1.TreeList, { onItemSelect: handleComponentSelect, data: formattedTreeData, title: "Component List", firstExpanded: true }) }));
};
exports.default = ComponentList;
//# sourceMappingURL=ComponentList.js.map