"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var jsx_runtime_1 = require("react/jsx-runtime");
var react_1 = require("react");
require("./DropDown.component.scss");
var DropDown = function (props) {
    var context = props.context, id = props.id, label = props.label, onSelectionChanged = props.onSelectionChanged, options = props.options;
    var _a = tslib_1.__read((0, react_1.useState)(), 2), value = _a[0], setValue = _a[1];
    var onLocalChange = function (e) {
        setValue(e.target.value);
        onSelectionChanged &&
            onSelectionChanged({
                value: e.target.value,
                data: options.find(function (o) { return (o.get("name") || o.get("label")) === e.target.value; }),
            }, context);
    };
    return ((0, jsx_runtime_1.jsxs)("div", { className: "c-DropDown w-100 mb-3", children: [label && ((0, jsx_runtime_1.jsx)("label", { className: "c-DropDown__label label", htmlFor: id, children: label })), (0, jsx_runtime_1.jsx)("select", { id: id, className: "c-DropDown__select form-component px-3 py-2 w-100", onChange: onLocalChange, children: options.map(function (option) { return ((0, jsx_runtime_1.jsx)("option", { value: option.get("name") || option.get("label"), children: option.get("label") })); }) })] }));
};
exports.default = DropDown;
//# sourceMappingURL=DropDown.js.map