"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var jsx_runtime_1 = require("react/jsx-runtime");
require("./Icon.component.scss");
var Icon = function (props) {
    var classes = props.classes, containerClasses = props.containerClasses, height = props.height, size = props.size, src = props.src, width = props.width;
    return ((0, jsx_runtime_1.jsx)("span", { className: "c-Icon d-inline-block ".concat(containerClasses), style: {
            width: width || size || "1rem",
            height: height || size || "1rem",
        }, children: (0, jsx_runtime_1.jsx)("img", { className: "c-Icon__img".concat(classes ? " " + classes : ""), src: src, alt: "Icon" }) }));
};
exports.default = Icon;
//# sourceMappingURL=Icon.js.map