"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var jsx_runtime_1 = require("react/jsx-runtime");
var __1 = require("../..");
require("./AlphabetFilter.component.scss");
var AlphabetFilter = function (props) {
    var onSelectionChanged = props.onSelectionChanged;
    var alpha = Array.from(Array(26)).map(function (e, i) { return i + 65; });
    var alphabet = alpha.map(function (x) { return String.fromCharCode(x); });
    return ((0, jsx_runtime_1.jsxs)("div", { className: "c-AlphabetFilter", children: [(0, jsx_runtime_1.jsx)("label", { className: "c-AlphabetFilter__label label", children: "Select icon starting with" }), (0, jsx_runtime_1.jsx)("div", { className: "c-AlphabetFilter__pill-container", children: alphabet.map(function (char) { return ((0, jsx_runtime_1.jsx)(__1.SelectionPill, { classes: "rounded me-2 mb-3", data: new Map([["label", char]]), size: "small", onClick: function (data) {
                        return onSelectionChanged(data, "alphabet");
                    } })); }) })] }));
};
exports.default = AlphabetFilter;
//# sourceMappingURL=AlphabetFilter.js.map