"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var jsx_runtime_1 = require("react/jsx-runtime");
var react_1 = require("react");
var __1 = require("../..");
var helper_1 = tslib_1.__importDefault(require("../../../utils/helper"));
require("./Search.component.scss");
var Search = function (props) {
    var classes = props.classes, data = props.data, placeholder = props.placeholder;
    var onChange = "onChange" in props && props.onChange;
    var showPopUp = "showPopUp" in props && props.showPopUp;
    var _a = tslib_1.__read((0, react_1.useState)(), 2), filteredItems = _a[0], setFilteredItems = _a[1];
    var _b = tslib_1.__read((0, react_1.useState)(""), 2), focusClass = _b[0], setFocusClass = _b[1];
    var onLocalChange = function (event) {
        if (showPopUp) {
            var filteredItems_1 = helper_1.default.recrusiveFilter(data, event.target.value, false, ["label"]);
            setFilteredItems(filteredItems_1);
            onChange && onChange(event, filteredItems_1);
        }
        else {
            onChange && onChange(event, null);
        }
    };
    var filteredItemsRenders = filteredItems &&
        filteredItems.map(function (item) {
            return (0, jsx_runtime_1.jsx)("div", {});
        });
    return ((0, jsx_runtime_1.jsxs)("div", { className: "c-Search d-flex w-100 position-relative ".concat(focusClass).concat(classes ? " " + classes : ""), children: [(0, jsx_runtime_1.jsx)(__1.TextInput, { containerClasses: "form-component", classes: "c-Search__input p-1 bg-transparent border-0", onBlur: function () { return setFocusClass(""); }, onChange: onLocalChange, onFocus: function () { return setFocusClass("focussed"); }, placeholder: placeholder || "Search", type: "text" }), (0, jsx_runtime_1.jsx)(__1.Button, { content: (0, jsx_runtime_1.jsx)(__1.Icon, { src: "http://localhost:8080/icon/ai/AiOutlineSearch" }), classes: "search-button bg-transparent form-component".concat(focusClass ? " border-bottom-0" : "") }), (!onChange || showPopUp) && ((0, jsx_runtime_1.jsx)("div", { className: "c-Search__search-results p-3 position-absolute top-100 start-0 w-100 bg-white border".concat(focusClass ? "" : " h-0 overflow-hidden").concat(filteredItemsRenders ? "" : " flex-center"), onClick: function (e) { return e.stopPropagation(); }, children: filteredItemsRenders || (0, jsx_runtime_1.jsx)("i", { children: "Type to view results here" }) }))] }));
};
exports.default = Search;
//# sourceMappingURL=Search.js.map