"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.selectedTreeItem = exports.selectTreeItem = exports.componentsViewerSlice = void 0;
var toolkit_1 = require("@reduxjs/toolkit");
var initialState = {};
exports.componentsViewerSlice = (0, toolkit_1.createSlice)({
    name: "componentsViewer",
    initialState: initialState,
    reducers: {
        selectTreeItem: function (state, action) {
            state.selectedTreeItem = action.payload;
        },
    },
    extraReducers: function (builder) { },
});
exports.selectTreeItem = exports.componentsViewerSlice.actions.selectTreeItem;
var selectedTreeItem = function (state) {
    return state.componentsViewer.selectedTreeItem;
};
exports.selectedTreeItem = selectedTreeItem;
exports.default = exports.componentsViewerSlice.reducer;
//# sourceMappingURL=ComponentsViewer.slice.js.map