"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var Adapter = /** @class */ (function () {
    function Adapter() {
    }
    Adapter.adaptToTree = function (data) {
        var returnTreeList = [];
        Object.keys(data).forEach(function (key) {
            var groupConfig = data[key];
            var meta = groupConfig.meta;
            var components = groupConfig.components;
            var obj = {
                label: meta.label,
                children: [],
                data: tslib_1.__assign({}, meta),
            };
            components.forEach(function (str) {
                return obj.children &&
                    obj.children.push({ label: str, data: { name: str } });
            });
            returnTreeList.push(obj);
        });
        return returnTreeList;
    };
    return Adapter;
}());
exports.default = Adapter;
//# sourceMappingURL=adapters.js.map