"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Counter = void 0;
var tslib_1 = require("tslib");
var jsx_runtime_1 = require("react/jsx-runtime");
var react_1 = require("react");
var hooks_1 = require("../../app/hooks");
var counterSlice_1 = require("./counterSlice");
function Counter() {
    var count = (0, hooks_1.useAppSelector)(counterSlice_1.selectCount);
    var dispatch = (0, hooks_1.useAppDispatch)();
    var _a = tslib_1.__read((0, react_1.useState)("2"), 2), incrementAmount = _a[0], setIncrementAmount = _a[1];
    var incrementValue = Number(incrementAmount) || 0;
    return ((0, jsx_runtime_1.jsxs)("div", { children: [(0, jsx_runtime_1.jsxs)("div", { className: "row", children: [(0, jsx_runtime_1.jsx)("button", { className: "button", "aria-label": "Decrement value", onClick: function () { return dispatch((0, counterSlice_1.decrement)()); }, children: "-" }), (0, jsx_runtime_1.jsx)("span", { className: "value", children: count }), (0, jsx_runtime_1.jsx)("button", { className: "button", "aria-label": "Increment value", onClick: function () { return dispatch((0, counterSlice_1.increment)()); }, children: "+" })] }), (0, jsx_runtime_1.jsxs)("div", { className: "row", children: [(0, jsx_runtime_1.jsx)("input", { className: "textbox", "aria-label": "Set increment amount", value: incrementAmount, onChange: function (e) { return setIncrementAmount(e.target.value); } }), (0, jsx_runtime_1.jsx)("button", { className: "button", onClick: function () { return dispatch((0, counterSlice_1.incrementByAmount)(incrementValue)); }, children: "Add Amount" }), (0, jsx_runtime_1.jsx)("button", { className: "asyncButton", onClick: function () { return dispatch((0, counterSlice_1.incrementAsync)(incrementValue)); }, children: "Add Async" }), (0, jsx_runtime_1.jsx)("button", { className: "button", onClick: function () { return dispatch((0, counterSlice_1.incrementIfOdd)(incrementValue)); }, children: "Add If Odd" })] })] }));
}
exports.Counter = Counter;
//# sourceMappingURL=Counter.js.map