import { __read } from "tslib";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useState } from "react";
import "./DropDown.component.scss";
var DropDown = function (props) {
    var context = props.context, id = props.id, label = props.label, onSelectionChanged = props.onSelectionChanged, options = props.options;
    var _a = __read(useState(), 2), value = _a[0], setValue = _a[1];
    var onLocalChange = function (e) {
        setValue(e.target.value);
        onSelectionChanged &&
            onSelectionChanged({
                value: e.target.value,
                data: options.find(function (o) { return (o.get("name") || o.get("label")) === e.target.value; }),
            }, context);
    };
    return (_jsxs("div", { className: "c-DropDown w-100 mb-3", children: [label && (_jsx("label", { className: "c-DropDown__label label", htmlFor: id, children: label })), _jsx("select", { id: id, className: "c-DropDown__select form-component px-3 py-2 w-100", onChange: onLocalChange, children: options.map(function (option) { return (_jsx("option", { value: option.get("name") || option.get("label"), children: option.get("label") })); }) })] }));
};
export default DropDown;
//# sourceMappingURL=DropDown.js.map