import { jsx as _jsx } from "react/jsx-runtime";
import { SelectionPill } from "../..";
import "./Pagination.component.scss";
var Pagination = function (props) {
    var data = props.data, maxPillsToShow = props.maxPillsToShow;
    var selectorBlockRenders;
    if (data) {
        if (maxPillsToShow && data.length > maxPillsToShow) {
            selectorBlockRenders = [];
            // TODO: onclick
            selectorBlockRenders.push(_jsx(SelectionPill, { classes: "me-2 border-radius", data: new Map([["label", "<"]]), onClick: function () { } }));
            selectorBlockRenders = selectorBlockRenders.concat(data
                .slice(0, maxPillsToShow)
                .map(function (obj, index, arr) { return (_jsx(SelectionPill, { classes: index === 0
                    ? "border-left-radius"
                    : index === arr.length - 1
                        ? "border-right-radius"
                        : "", data: obj, onClick: function () { } })); }));
            selectorBlockRenders.push(_jsx(SelectionPill, { classes: "ms-2 border-radius", data: new Map([["label", ">"]]), onClick: function () { } }));
        }
        else {
            // TODO: Add onClickhandler
            selectorBlockRenders = data.map(function (obj) { return (_jsx(SelectionPill, { data: obj, onClick: function () { } })); });
        }
    }
    return _jsx("div", { className: "c-Pagination", children: selectorBlockRenders });
};
export default Pagination;
//# sourceMappingURL=Pagination.js.map