import { __read, __spreadArray } from "tslib";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useState } from "react";
import "./TextInput.component.scss";
var TextInput = function (props) {
    var classes = props.classes, containerClasses = props.containerClasses, onBlur = props.onBlur, onChange = props.onChange, onFocus = props.onFocus, placeholder = props.placeholder, type = props.type;
    var _a = __read(useState(), 2), value = _a[0], setValue = _a[1];
    var _b = __read(useState(false), 2), focussed = _b[0], setFocussed = _b[1];
    var onLocalChange = function (event) {
        setValue(event.target.value);
        onChange && onChange(event);
    };
    return (_jsxs("div", { className: "c-TextInput position-relative w-100".concat(focussed ? " focussed border-bottom-0" : "").concat(containerClasses ? " " + containerClasses : ""), children: [_jsx("input", { type: type || "text", className: "c-TextInput__input w-100 h-100".concat(classes ? " " + classes : ""), onChange: onLocalChange, onFocus: function () {
                    var focusHandlerArgs = [];
                    for (var _i = 0; _i < arguments.length; _i++) {
                        focusHandlerArgs[_i] = arguments[_i];
                    }
                    setFocussed(true);
                    onFocus && onFocus.apply(void 0, __spreadArray([], __read(focusHandlerArgs), false));
                }, onBlur: function () {
                    var focusHandlerArgs = [];
                    for (var _i = 0; _i < arguments.length; _i++) {
                        focusHandlerArgs[_i] = arguments[_i];
                    }
                    setFocussed(false);
                    onBlur && onBlur.apply(void 0, __spreadArray([], __read(focusHandlerArgs), false));
                }, placeholder: focussed ? "" : placeholder }), _jsx("button", { className: "c-TextInput__clear-button position-absolute end-0 top-0 d-flex flex-row\n          justify-content-center align-items-center h-100 border-0 bg-transparent".concat(value ? " has-value" : "").concat(focussed ? " border-bottom-0" : "") })] }));
};
export default TextInput;
//# sourceMappingURL=TextInput.js.map