import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { SelectionPill } from "../..";
import Helper from "../../../utils/helper";
import "./CategoryFilter.component.scss";
var CategoryFilter = function (props) {
    var categoryGroups = props.categoryGroups, onCategorySelection = props.onCategorySelection;
    var categoryRenders = function (categories) {
        return (categories && (_jsx("div", { className: "c-CategoryFilter__pill-container", children: Array.from(categories.keys()).map(function (category) { return (_jsx(SelectionPill, { classes: "rounded me-2 mb-3", data: new Map([
                    ["label", category],
                ]), size: "small", onClick: function (data) {
                    return onCategorySelection(data, category);
                } })); }) })));
    };
    var groupRenders = Array.from(categoryGroups.keys()).map(function (group) {
        return (_jsxs("div", { className: "c-CategoryFilter__group", children: [_jsx("label", { className: "c-CategoryFilter__label label", children: Helper.toCamelCase(group, " ", true) }), _jsx("div", { className: "c-CategoryFilter__filters", children: categoryRenders(categoryGroups.get(group)) })] }));
    });
    return _jsx("div", { className: "c-CategoryFilter", children: groupRenders });
};
export default CategoryFilter;
//# sourceMappingURL=CategoryFilter.js.map