var COMPONENTS = {
    ATOMS: {
        meta: {
            label: "Foundational",
            description: "Basic components that constitute more sophisticated ones",
        },
        components: [
            "Alert",
            "Badge",
            "Breadcrumb",
            "BrowserIncompatibility",
            "Button",
            "Checkbox",
            "ColorPicker",
            "ContextMenu",
            "DateInput",
            "DatePicker",
            "DateRange",
            "Calendar",
            "PickerRange",
            "DetailsPanel",
            "Dialog",
            "FacetedFilter",
            "InlineMenu",
            "LabelValue",
            "LearnLink",
            "Link",
            "List",
            "Modal",
            "Notification",
            "NumericStepper",
            "Pagination",
            "Picklist",
            "Pill",
            "Pillbox",
            "Popover",
            "ProgressIndicator",
            "ProgressStepper",
            "Radio",
            "SearchField",
            "SecondaryNavigation",
            "SegmentedControl",
            "Select",
            "Slider",
            "Splitter",
            "Tab",
            "TabBar",
            "Table",
            "Tag",
            "TextArea",
            "Mask",
            "TimeEntry",
            "Toggle",
            "Toolbar",
            "Tooltip",
            "TypeAhead",
            "Uploader",
            "Widget",
        ],
    },
    MOLECULES: {
        meta: {
            label: "Features, pages, use cases",
            description: "Use these components for special cases like about us section, blog etc.",
        },
        components: [
            "AboutUs",
            "Application",
            "Banner",
            "Benefits",
            "Blog",
            "Brands",
            "Breadcrumbs",
            "CTA",
            "Card",
            "Careers",
            "Contact",
            "Content",
            "Cookies",
            "Dashboard",
            "Download",
            "Ecomm_Orders",
            "Ecomm_Products",
            "Empty",
            "FAQ",
            "Features",
            "Footer",
            "Form",
            "Gallery",
            "GraphTiles",
            "Graph",
            "HTTPCode",
            "Hero",
            "HowItWorks",
            "InstaPhotos",
            "Integrations",
            "LogoClouds",
            "Newsletter",
            "Notifications",
            "pagination",
            "portfolio",
            "Pricing",
            "ProductInfo",
            "Projects",
            "Reviews",
            "RichText",
            "Search",
            "Services",
            "SignInUp",
            "Snackbar",
            "Stats",
            "Steps",
            "Table",
            "Team",
            "Testimonials",
            "Toast",
            "Users",
        ],
    },
};
export default COMPONENTS;
//# sourceMappingURL=components.js.map