"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var jsx_runtime_1 = require("react/jsx-runtime");
var __1 = require("../..");
require("./Pagination.component.scss");
var Pagination = function (props) {
    var data = props.data, maxPillsToShow = props.maxPillsToShow;
    var selectorBlockRenders;
    if (data) {
        if (maxPillsToShow && data.length > maxPillsToShow) {
            selectorBlockRenders = [];
            // TODO: onclick
            selectorBlockRenders.push((0, jsx_runtime_1.jsx)(__1.SelectionPill, { classes: "me-2 border-radius", data: new Map([["label", "<"]]), onClick: function () { } }));
            selectorBlockRenders = selectorBlockRenders.concat(data
                .slice(0, maxPillsToShow)
                .map(function (obj, index, arr) { return ((0, jsx_runtime_1.jsx)(__1.SelectionPill, { classes: index === 0
                    ? "border-left-radius"
                    : index === arr.length - 1
                        ? "border-right-radius"
                        : "", data: obj, onClick: function () { } })); }));
            selectorBlockRenders.push((0, jsx_runtime_1.jsx)(__1.SelectionPill, { classes: "ms-2 border-radius", data: new Map([["label", ">"]]), onClick: function () { } }));
        }
        else {
            // TODO: Add onClickhandler
            selectorBlockRenders = data.map(function (obj) { return ((0, jsx_runtime_1.jsx)(__1.SelectionPill, { data: obj, onClick: function () { } })); });
        }
    }
    return (0, jsx_runtime_1.jsx)("div", { className: "c-Pagination", children: selectorBlockRenders });
};
exports.default = Pagination;
//# sourceMappingURL=Pagination.js.map