"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var jsx_runtime_1 = require("react/jsx-runtime");
var react_1 = require("react");
require("./TextInput.component.scss");
var TextInput = function (props) {
    var classes = props.classes, containerClasses = props.containerClasses, onBlur = props.onBlur, onChange = props.onChange, onFocus = props.onFocus, placeholder = props.placeholder, type = props.type;
    var _a = tslib_1.__read((0, react_1.useState)(), 2), value = _a[0], setValue = _a[1];
    var _b = tslib_1.__read((0, react_1.useState)(false), 2), focussed = _b[0], setFocussed = _b[1];
    var onLocalChange = function (event) {
        setValue(event.target.value);
        onChange && onChange(event);
    };
    return ((0, jsx_runtime_1.jsxs)("div", { className: "c-TextInput position-relative w-100".concat(focussed ? " focussed border-bottom-0" : "").concat(containerClasses ? " " + containerClasses : ""), children: [(0, jsx_runtime_1.jsx)("input", { type: type || "text", className: "c-TextInput__input w-100 h-100".concat(classes ? " " + classes : ""), onChange: onLocalChange, onFocus: function () {
                    var focusHandlerArgs = [];
                    for (var _i = 0; _i < arguments.length; _i++) {
                        focusHandlerArgs[_i] = arguments[_i];
                    }
                    setFocussed(true);
                    onFocus && onFocus.apply(void 0, tslib_1.__spreadArray([], tslib_1.__read(focusHandlerArgs), false));
                }, onBlur: function () {
                    var focusHandlerArgs = [];
                    for (var _i = 0; _i < arguments.length; _i++) {
                        focusHandlerArgs[_i] = arguments[_i];
                    }
                    setFocussed(false);
                    onBlur && onBlur.apply(void 0, tslib_1.__spreadArray([], tslib_1.__read(focusHandlerArgs), false));
                }, placeholder: focussed ? "" : placeholder }), (0, jsx_runtime_1.jsx)("button", { className: "c-TextInput__clear-button position-absolute end-0 top-0 d-flex flex-row\n          justify-content-center align-items-center h-100 border-0 bg-transparent".concat(value ? " has-value" : "").concat(focussed ? " border-bottom-0" : "") })] }));
};
exports.default = TextInput;
//# sourceMappingURL=TextInput.js.map