"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var jsx_runtime_1 = require("react/jsx-runtime");
var __1 = require("../..");
var helper_1 = tslib_1.__importDefault(require("../../../utils/helper"));
require("./CategoryFilter.component.scss");
var CategoryFilter = function (props) {
    var categoryGroups = props.categoryGroups, onCategorySelection = props.onCategorySelection;
    var categoryRenders = function (categories) {
        return (categories && ((0, jsx_runtime_1.jsx)("div", { className: "c-CategoryFilter__pill-container", children: Array.from(categories.keys()).map(function (category) { return ((0, jsx_runtime_1.jsx)(__1.SelectionPill, { classes: "rounded me-2 mb-3", data: new Map([
                    ["label", category],
                ]), size: "small", onClick: function (data) {
                    return onCategorySelection(data, category);
                } })); }) })));
    };
    var groupRenders = Array.from(categoryGroups.keys()).map(function (group) {
        return ((0, jsx_runtime_1.jsxs)("div", { className: "c-CategoryFilter__group", children: [(0, jsx_runtime_1.jsx)("label", { className: "c-CategoryFilter__label label", children: helper_1.default.toCamelCase(group, " ", true) }), (0, jsx_runtime_1.jsx)("div", { className: "c-CategoryFilter__filters", children: categoryRenders(categoryGroups.get(group)) })] }));
    });
    return (0, jsx_runtime_1.jsx)("div", { className: "c-CategoryFilter", children: groupRenders });
};
exports.default = CategoryFilter;
//# sourceMappingURL=CategoryFilter.js.map