import { PayloadAction } from "@reduxjs/toolkit";
import { RootState } from "../../store";
export interface ComponentsViewerState {
    selectedTreeItem?: TreeListData | null;
}
export declare const componentsViewerSlice: import("@reduxjs/toolkit").Slice<ComponentsViewerState, {
    selectTreeItem: (state: import("immer/dist/internal").WritableDraft<ComponentsViewerState>, action: PayloadAction<TreeListData>) => void;
}, "componentsViewer">;
export declare const selectTreeItem: import("@reduxjs/toolkit").ActionCreatorWithPayload<TreeListData, "componentsViewer/selectTreeItem">;
export declare const selectedTreeItem: (state: RootState) => TreeListData | null | undefined;
declare const _default: import("redux").Reducer<ComponentsViewerState>;
export default _default;
