import { jsx as _jsx } from "react/jsx-runtime";
import { selectTreeItem } from "../../pages/ComponentsViewer/ComponentsViewer.slice";
import { useAppDispatch } from "../../hooks";
import { TreeList } from "..";
import Adapter from "../../utils/adapters";
import COMPONENTS from "../../config/components";
import "./ComponentList.component.scss";
var ComponentList = function (props) {
    var dispatch = useAppDispatch();
    var formattedTreeData = Adapter.adaptToTree(COMPONENTS);
    var handleComponentSelect = function (data) {
        dispatch(selectTreeItem(data));
    };
    return (_jsx("div", { className: "c-ComponentList h-100 w-100 overflow-auto", children: _jsx(TreeList, { onItemSelect: handleComponentSelect, data: formattedTreeData, title: "Component List", firstExpanded: true }) }));
};
export default ComponentList;
//# sourceMappingURL=ComponentList.js.map