import { jsx as _jsx } from "react/jsx-runtime";
import "./Icon.component.scss";
var Icon = function (props) {
    var classes = props.classes, containerClasses = props.containerClasses, height = props.height, size = props.size, src = props.src, width = props.width;
    return (_jsx("span", { className: "c-Icon d-inline-block ".concat(containerClasses), style: {
            width: width || size || "1rem",
            height: height || size || "1rem",
        }, children: _jsx("img", { className: "c-Icon__img".concat(classes ? " " + classes : ""), src: src, alt: "Icon" }) }));
};
export default Icon;
//# sourceMappingURL=Icon.js.map