import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { SelectionPill } from "../..";
import "./AlphabetFilter.component.scss";
var AlphabetFilter = function (props) {
    var onSelectionChanged = props.onSelectionChanged;
    var alpha = Array.from(Array(26)).map(function (e, i) { return i + 65; });
    var alphabet = alpha.map(function (x) { return String.fromCharCode(x); });
    return (_jsxs("div", { className: "c-AlphabetFilter", children: [_jsx("label", { className: "c-AlphabetFilter__label label", children: "Select icon starting with" }), _jsx("div", { className: "c-AlphabetFilter__pill-container", children: alphabet.map(function (char) { return (_jsx(SelectionPill, { classes: "rounded me-2 mb-3", data: new Map([["label", char]]), size: "small", onClick: function (data) {
                        return onSelectionChanged(data, "alphabet");
                    } })); }) })] }));
};
export default AlphabetFilter;
//# sourceMappingURL=AlphabetFilter.js.map