import { __read } from "tslib";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useState } from "react";
import { Button, Icon, TextInput } from "../..";
import Helper from "../../../utils/helper";
import "./Search.component.scss";
var Search = function (props) {
    var classes = props.classes, data = props.data, placeholder = props.placeholder;
    var onChange = "onChange" in props && props.onChange;
    var showPopUp = "showPopUp" in props && props.showPopUp;
    var _a = __read(useState(), 2), filteredItems = _a[0], setFilteredItems = _a[1];
    var _b = __read(useState(""), 2), focusClass = _b[0], setFocusClass = _b[1];
    var onLocalChange = function (event) {
        if (showPopUp) {
            var filteredItems_1 = Helper.recrusiveFilter(data, event.target.value, false, ["label"]);
            setFilteredItems(filteredItems_1);
            onChange && onChange(event, filteredItems_1);
        }
        else {
            onChange && onChange(event, null);
        }
    };
    var filteredItemsRenders = filteredItems &&
        filteredItems.map(function (item) {
            return _jsx("div", {});
        });
    return (_jsxs("div", { className: "c-Search d-flex w-100 position-relative ".concat(focusClass).concat(classes ? " " + classes : ""), children: [_jsx(TextInput, { containerClasses: "form-component", classes: "c-Search__input p-1 bg-transparent border-0", onBlur: function () { return setFocusClass(""); }, onChange: onLocalChange, onFocus: function () { return setFocusClass("focussed"); }, placeholder: placeholder || "Search", type: "text" }), _jsx(Button, { content: _jsx(Icon, { src: "http://localhost:8080/icon/ai/AiOutlineSearch" }), classes: "search-button bg-transparent form-component".concat(focusClass ? " border-bottom-0" : "") }), (!onChange || showPopUp) && (_jsx("div", { className: "c-Search__search-results p-3 position-absolute top-100 start-0 w-100 bg-white border".concat(focusClass ? "" : " h-0 overflow-hidden").concat(filteredItemsRenders ? "" : " flex-center"), onClick: function (e) { return e.stopPropagation(); }, children: filteredItemsRenders || _jsx("i", { children: "Type to view results here" }) }))] }));
};
export default Search;
//# sourceMappingURL=Search.js.map