import { __read } from "tslib";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useState } from "react";
import { useAppSelector, useAppDispatch } from "../../app/hooks";
import { decrement, increment, incrementByAmount, incrementAsync, incrementIfOdd, selectCount, } from "./counterSlice";
export function Counter() {
    var count = useAppSelector(selectCount);
    var dispatch = useAppDispatch();
    var _a = __read(useState("2"), 2), incrementAmount = _a[0], setIncrementAmount = _a[1];
    var incrementValue = Number(incrementAmount) || 0;
    return (_jsxs("div", { children: [_jsxs("div", { className: "row", children: [_jsx("button", { className: "button", "aria-label": "Decrement value", onClick: function () { return dispatch(decrement()); }, children: "-" }), _jsx("span", { className: "value", children: count }), _jsx("button", { className: "button", "aria-label": "Increment value", onClick: function () { return dispatch(increment()); }, children: "+" })] }), _jsxs("div", { className: "row", children: [_jsx("input", { className: "textbox", "aria-label": "Set increment amount", value: incrementAmount, onChange: function (e) { return setIncrementAmount(e.target.value); } }), _jsx("button", { className: "button", onClick: function () { return dispatch(incrementByAmount(incrementValue)); }, children: "Add Amount" }), _jsx("button", { className: "asyncButton", onClick: function () { return dispatch(incrementAsync(incrementValue)); }, children: "Add Async" }), _jsx("button", { className: "button", onClick: function () { return dispatch(incrementIfOdd(incrementValue)); }, children: "Add If Odd" })] })] }));
}
//# sourceMappingURL=Counter.js.map