import { jsx as _jsx } from "react/jsx-runtime";
import React from "react";
import ReactDOM from "react-dom/client";
import { BrowserRouter } from "react-router-dom";
import { Provider } from "react-redux";
import { store } from "./app/store";
import Router from "./app/Router";
import ErrorBoundary from "./app/ErrorBoundary";
import "./app/static/styles/_global.scss";
var root = ReactDOM.createRoot(document.getElementById("root"));
root.render(_jsx(React.StrictMode, { children: _jsx(ErrorBoundary, { children: _jsx(BrowserRouter, { children: _jsx(Provider, { store: store, children: _jsx(Router, {}) }) }) }) }));
//# sourceMappingURL=index.js.map